package jrummikub.model;

import java.awt.Color;
import java.util.ArrayList;
import java.util.List;

/** Class managing the overall and momentary GameState */
public class GameState {
	ITable table;
	List<Player> players;
	int activePlayer;
	private StoneHeap gameHeap;

	public GameState() {
		table = new Table();
		players = new ArrayList<Player>();
		players.add(new Player(Color.red));
		players.add(new Player(Color.yellow));
		players.add(new Player(Color.green));
		players.add(new Player(Color.black));
		activePlayer = 0;
	}

	public ITable getTable() {
		return table;
	}

	/** Changes the activePlayer to the next {@link Player} in the list */
	public void nextPlayer() {
		activePlayer = (activePlayer + 1) % 4;
	}

	public Player activePlayer() {
		return players.get(activePlayer);
	}

	public StoneHeap getGameHeap() {
		return gameHeap;
	}
}
